Subject: [ipwave] Issue on prefix-length for forming link-local addresses in rfc2464

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 13 Nov 2017 10:42:39 +0100

Hello,

I would like to raise an issue from my part on the IPv6-over-OCB draft.

It currently says in its Link-Local Address section that it is formed 
precisely like in RFC2464.

That RFC2464 says that the prefix is FE80::/64.

However, the prefix length in link-local addresses is FE80::/10 in RFC 4291.

Because of this, this IPv6-over-OCB draft only continues a confusion of 
/64 and /10 for LLs.

I would like it clarified.

For example, RFC2464bis could clarify the /64 vs /10 situation.

Another example, this IPv6-over-OCB draft could clarify that this plen 
is /10, despite of what RFC2464 says.

What do you think?

Alex

---

From: Ignacio Soto <[email-masked]>
Date: Mon, 13 Nov 2017 11:06:36 +0100

Hello,

In fact, although RFC 4291 reserves the address block FE80::/10 for 
Link-Local unicast addresses, it also defines, in section 2.5.6, the 
format of the Link-local IPv6 unicast addresses to be FE80::/64, so I 
guess the rest of the block is for potential future use.

Best regards,

Ignacio

El 13/11/2017 a las 10:42, Alexandre Petrescu escribió:
> Because of this, this IPv6-over-OCB draft only continues a confusion 
> of /64 and /10 for LLs.
>
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its

---

From: Jérôme Härri <[email-masked]>
Date: Mon, 13 Nov 2017 11:24:51 +0100

Hi Alex, All

FE80::/10 belongs to FE80::/64…it is my understanding that FE80::/64 is there just to guarantee that all bits between FE80::/10 and the 64-bit interface identifier are all ‘zeros’, and thus limits the interface identifier to 64 bits, as it is for IPv6-over-ethernet…but in other types of networks, it does not specifically have to I guess..

For example,  I had a quick look at the 3GPP V2X specification TS 23 303  (they allow V2V and IPv6 (only in rel.14)…and this is what is written:

--

when the UE is configured to use IPv6 on the direct link, the UE auto-configures a link local IPv6 Address following procedures defined in RFC 4862 [6].
--

So, a UE ID could be longer than 64 bits if need be…so, the question we need to address is: is our interface ID 64-bit long? If yes, then we shall use FE80::/64. If we want to leave a bit of freedom, then we can be as generic as 3GPP…

BR,

Jérôme

From: its [mailto:[email-masked]] On Behalf Of Alexandre Petrescu
Sent: Monday 13 November 2017 10:43
To: [email-masked]
Subject: [ipwave] Issue on prefix-length for forming link-local addresses in rfc2464

Hello,

It currently says in its Link-Local Address section that it is formed precisely like in RFC2464.

Because of this, this IPv6-over-OCB draft only continues a confusion of /64 and /10 for LLs.

Another example, this IPv6-over-OCB draft could clarify that this plen is /10, despite of what RFC2464 says.

What do you think?

Alex